#!/usr/bin/python3
"""Generate random gestures until something crashes, or something
times out."""
import random
import unittest

from testtools.content import text_content

from lrt import LRTTestCase
from lrt.gestures import (
    click_random_location,
    swipe,
    SwipeDirection,
)


class RandomGestureTests(LRTTestCase):

    def test_swipes_only(self):
        self.addDetail(
            'test_name',
            text_content('RandomGesture')
        )

        while 1:
            if random.random() <= 0.8:
                click_random_location()
            else:
                swipe(SwipeDirection.get_random_direction())
            self.check_for_crash()


if __name__ == '__main__':
    unittest.main()
